## pyside6 6.9.3

=== debian/changelog ===
pyside6 (6.9.3-0zneon+24.04+noble+release+build70) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 14:36:52 +0000

pyside6 (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

pyside6 (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 30 Aug 2025 13:26:44 +1000
