=== debian/control ===
Source: pyside6
Section: python
Priority: optional
Uploaders: Kurt Kremitzki <kkremitzki@debian.org>,
           Stuart Prescott <stuart@debian.org>
Build-Depends: chrpath,
               clang,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               furo <!nodoc>,
               libclang-dev,
               libxml2-dev,
               libxslt1-dev,
               llvm-dev,
               ninja-build,
               patchelf,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               python3-dev,
               python3-distro,
               python3-myst-parser <!nodoc>,
               python3-numpy,
               python3-opengl,
               python3-packaging,
               python3-pip <!nocheck>,
               python3-pkginfo <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinxcontrib.qthelp <!nodoc>,
               python3-wheel,
               qml6-module-qtqml-workerscript (>= 6.9) <!nocheck>,
               qml6-module-qtquick (>= 6.9) <!nocheck>,
               qml6-module-qtquick-controls (>= 6.9) <!nocheck>,
               qml6-module-qtquick-layouts (>= 6.9) <!nocheck>,
               qml6-module-qtquick-templates (>= 6.9) <!nocheck>,
               qml6-module-qtquick-window (>= 6.9) <!nocheck>,
               qt6-3d-dev (>= 6.9),
               qt6-base-dev (>= 6.9),
               qt6-base-private-dev (>= 6.9),
               qt6-charts-dev (>= 6.9),
               qt6-connectivity-dev (>= 6.9) [linux-any],
               qt6-datavis3d-dev (>= 6.9),
               qt6-declarative-dev (>= 6.9),
               qt6-declarative-private-dev (>= 6.9),
               qt6-graphs-dev (>= 6.9),
               qt6-httpserver-dev (>= 6.9),
               qt6-location-dev (>= 6.9),
               qt6-multimedia-dev (>= 6.9),
               qt6-networkauth-dev (>= 6.9),
               qt6-pdf-dev (>= 6.9) [amd64 arm64 armhf i386],
               qt6-positioning-dev (>= 6.9),
               qt6-qmllint-plugins (>= 6.9),
               qt6-qmltooling-plugins (>= 6.9),
               qt6-quick3d-dev (>= 6.9),
               qt6-remoteobjects-dev (>= 6.9),
               qt6-scxml-dev (>= 6.9),
               qt6-sensors-dev (>= 6.9),
               qt6-serialbus-dev (>= 6.9),
               qt6-serialport-dev (>= 6.9),
               qt6-shadertools-dev (>= 6.9),
               qt6-speech-dev (>= 6.9),
               qt6-svg-dev (>= 6.9),
               qt6-tools-dev (>= 6.9),
               qt6-virtualkeyboard-dev (>= 6.9),
               qt6-wayland-dev (>= 6.9) [linux-any],
               qt6-webchannel-dev (>= 6.9),
               qt6-webengine-dev (>= 6.9) [amd64 arm64 armhf i386],
               qt6-websockets-dev (>= 6.9),
               qt6-webview-dev (>= 6.9) [amd64 arm64 armhf i386],
               qtchooser,
               sip-tools (>= 6.5),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Conflicts: libpyside6-dev, libshiboken6-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://invent.kde.org/neon/qt6/pyside6.git
Vcs-Browser: https://invent.kde.org/neon/qt6/pyside6
Maintainer: Neon CI <neon@kde.org>

Package: libpyside6-dev
Section: libdevel
Architecture: any
Depends: libpyside6-py3-6.9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6 (development files)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside6 library.

Package: libpyside6-py3-6.9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libpyside6-py3-6.2,
           libpyside6-py3-6.4,
           libpyside6-py3-6.6,
           libpyside6-py3-6.7,
           libpyside6-py3-6.8
Replaces: libpyside6-py3-6.2,
          libpyside6-py3-6.4,
          libpyside6-py3-6.6,
          libpyside6-py3-6.7,
          libpyside6-py3-6.8
Provides: libpyside6-py3
Description: Python 3 bindings for Qt 6 (base files)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libshiboken6-dev
Section: libdevel
Architecture: any
Depends: libshiboken6-py3-6.9 (= ${binary:Version}),
         python3-dev,
         shiboken6 (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken6 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken6 is the binding generator used to create the PySide6 bindings.
 .
 This package provides the development headers for the libshiboken6 library.

Package: libshiboken6-py3-6.9
Section: libs
Architecture: any
Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libshiboken6-py3-6.2,
           libshiboken6-py3-6.4,
           libshiboken6-py3-6.6,
           libshiboken6-py3-6.7,
           libshiboken6-py3-6.8
Replaces: libshiboken6-py3-6.2,
          libshiboken6-py3-6.4,
          libshiboken6-py3-6.6,
          libshiboken6-py3-6.7,
          libshiboken6-py3-6.8
Provides: libshiboken6-py3
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken6 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken6 is the binding generator used to create the PySide6 bindings.
 .
 This package contains the shared Python 3 library used by shiboken6.

Package: pyside6-tools
Architecture: any
Section: devel
Depends: python3-pyside6.qtcore,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: development tools for PySide6 (lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide6 ships Python bindings for the Qt 6 framework. This package ships
 the following accompanying tools:
  * pyside6-lupdate - update Qt Linguist translation files for PySide

Package: python-pyside6-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python bindings for Qt 6 (common documentation)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: python3-pyside6
Architecture: all
Depends: python3-pyside6.qt3danimation,
         python3-pyside6.qt3dcore,
         python3-pyside6.qt3dextras,
         python3-pyside6.qt3dinput,
         python3-pyside6.qt3dlogic,
         python3-pyside6.qt3drender,
         python3-pyside6.qtasyncio,
         python3-pyside6.qtbluetooth,
         python3-pyside6.qtcharts,
         python3-pyside6.qtconcurrent,
         python3-pyside6.qtdatavisualization,
         python3-pyside6.qtdbus,
         python3-pyside6.qtdesigner,
         python3-pyside6.qtdesigner-dbgsym,
         python3-pyside6.qtgraphs,
         python3-pyside6.qtgraphswidgets,
         python3-pyside6.qtgui,
         python3-pyside6.qthelp,
         python3-pyside6.qthttpserver,
         python3-pyside6.qtlocation,
         python3-pyside6.qtmultimedia,
         python3-pyside6.qtmultimediawidgets,
         python3-pyside6.qtnetwork,
         python3-pyside6.qtnetworkauth,
         python3-pyside6.qtnfc,
         python3-pyside6.qtopengl,
         python3-pyside6.qtopenglwidgets,
         python3-pyside6.qtpdf,
         python3-pyside6.qtpdfwidgets,
         python3-pyside6.qtpositioning,
         python3-pyside6.qtprintsupport,
         python3-pyside6.qtqml,
         python3-pyside6.qtquick,
         python3-pyside6.qtquick3d,
         python3-pyside6.qtquickcontrols2,
         python3-pyside6.qtquicktest,
         python3-pyside6.qtquickwidgets,
         python3-pyside6.qtremoteobjects,
         python3-pyside6.qtscxml,
         python3-pyside6.qtsensors,
         python3-pyside6.qtserialbus,
         python3-pyside6.qtserialport,
         python3-pyside6.qtspatialaudio,
         python3-pyside6.qtsql,
         python3-pyside6.qtstatemachine,
         python3-pyside6.qtsvg,
         python3-pyside6.qtsvgwidgets,
         python3-pyside6.qttest,
         python3-pyside6.qttexttospeech,
         python3-pyside6.qtuitools,
         python3-pyside6.qtwebchannel,
         python3-pyside6.qtwebenginecore,
         python3-pyside6.qtwebenginequick,
         python3-pyside6.qtwebenginewidgets,
         python3-pyside6.qtwebsockets,
         python3-pyside6.qtwebview,
         python3-pyside6.qtwidgets,
         python3-pyside6.qtxml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6, pyside6 provides Python
 bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package is a meta package to install all qt6 modules with Python
 3 bindings.

Package: python3-pyside6.qt3danimation
Architecture: any
Depends: python3-pyside6.qt3dcore,
         python3-pyside6.qt3drender,
         python3-pyside6.qtcore,
         python3-pyside6.qtgui,
         python3-pyside6.qtnetwork,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6 3DAnimation module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DAnimation module.

Package: python3-pyside6.qt3dcore
Architecture: any
Depends: python3-pyside6.qtcore,
         python3-pyside6.qtgui,
         python3-pyside6.qtnetwork,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6 3DCore module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DCore module.

Package: python3-pyside6.qt3dextras
Architecture: any
Depends: python3-pyside6.qt3dcore,
         python3-pyside6.qt3drender,
         python3-pyside6.qtcore,
         python3-pyside6.qtgui,
         python3-pyside6.qtnetwork,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings for Qt 6 3DExtras module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DExtras module.

Package: python3-pyside6.qt3dinput
Architecture: any
Depends: python3-pyside6.qt3dcore,
         python3-pyside6.qtcore,
