## pyside6 6.10.1

=== debian/changelog ===
pyside6 (6.10.1-0zneon+24.04+noble+unstable+build95) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 08:48:03 +0000

pyside6 (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:07 +1000

pyside6 (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:24 +1000
