=== debian/control ===
--- 
+++ 
@@ -33,45 +33,45 @@
                python3-sphinx-design <!nodoc>,
                python3-sphinxcontrib.qthelp <!nodoc>,
                python3-wheel,
-               qml6-module-qtqml-workerscript (>= 6.9) <!nocheck>,
-               qml6-module-qtquick (>= 6.9) <!nocheck>,
-               qml6-module-qtquick-controls (>= 6.9) <!nocheck>,
-               qml6-module-qtquick-layouts (>= 6.9) <!nocheck>,
-               qml6-module-qtquick-templates (>= 6.9) <!nocheck>,
-               qml6-module-qtquick-window (>= 6.9) <!nocheck>,
-               qt6-3d-dev (>= 6.9),
-               qt6-base-dev (>= 6.9),
-               qt6-base-private-dev (>= 6.9),
-               qt6-charts-dev (>= 6.9),
-               qt6-connectivity-dev (>= 6.9) [linux-any],
-               qt6-datavis3d-dev (>= 6.9),
-               qt6-declarative-dev (>= 6.9),
-               qt6-declarative-private-dev (>= 6.9),
-               qt6-graphs-dev (>= 6.9),
-               qt6-httpserver-dev (>= 6.9),
-               qt6-location-dev (>= 6.9),
-               qt6-multimedia-dev (>= 6.9),
-               qt6-networkauth-dev (>= 6.9),
-               qt6-pdf-dev (>= 6.9) [amd64 arm64 armhf i386],
-               qt6-positioning-dev (>= 6.9),
-               qt6-qmllint-plugins (>= 6.9),
-               qt6-qmltooling-plugins (>= 6.9),
-               qt6-quick3d-dev (>= 6.9),
-               qt6-remoteobjects-dev (>= 6.9),
-               qt6-scxml-dev (>= 6.9),
-               qt6-sensors-dev (>= 6.9),
-               qt6-serialbus-dev (>= 6.9),
-               qt6-serialport-dev (>= 6.9),
-               qt6-shadertools-dev (>= 6.9),
-               qt6-speech-dev (>= 6.9),
-               qt6-svg-dev (>= 6.9),
-               qt6-tools-dev (>= 6.9),
-               qt6-virtualkeyboard-dev (>= 6.9),
-               qt6-wayland-dev (>= 6.9) [linux-any],
-               qt6-webchannel-dev (>= 6.9),
-               qt6-webengine-dev (>= 6.9) [amd64 arm64 armhf i386],
-               qt6-websockets-dev (>= 6.9),
-               qt6-webview-dev (>= 6.9) [amd64 arm64 armhf i386],
+               qml6-module-qtqml-workerscript (>= 6.10) <!nocheck>,
+               qml6-module-qtquick (>= 6.10) <!nocheck>,
+               qml6-module-qtquick-controls (>= 6.10) <!nocheck>,
+               qml6-module-qtquick-layouts (>= 6.10) <!nocheck>,
+               qml6-module-qtquick-templates (>= 6.10) <!nocheck>,
+               qml6-module-qtquick-window (>= 6.10) <!nocheck>,
+               qt6-3d-dev (>= 6.10),
+               qt6-base-dev (>= 6.10),
+               qt6-base-private-dev (>= 6.10),
+               qt6-charts-dev (>= 6.10),
+               qt6-connectivity-dev (>= 6.10) [linux-any],
+               qt6-datavis3d-dev (>= 6.10),
+               qt6-declarative-dev (>= 6.10),
+               qt6-declarative-private-dev (>= 6.10),
+               qt6-graphs-dev (>= 6.10),
+               qt6-httpserver-dev (>= 6.10),
+               qt6-location-dev (>= 6.10),
+               qt6-multimedia-dev (>= 6.10),
+               qt6-networkauth-dev (>= 6.10),
+               qt6-pdf-dev (>= 6.10) [amd64 arm64 armhf i386],
+               qt6-positioning-dev (>= 6.10),
+               qt6-qmllint-plugins (>= 6.10),
+               qt6-qmltooling-plugins (>= 6.10),
+               qt6-quick3d-dev (>= 6.10),
+               qt6-remoteobjects-dev (>= 6.10),
+               qt6-scxml-dev (>= 6.10),
+               qt6-sensors-dev (>= 6.10),
+               qt6-serialbus-dev (>= 6.10),
+               qt6-serialport-dev (>= 6.10),
+               qt6-shadertools-dev (>= 6.10),
+               qt6-speech-dev (>= 6.10),
+               qt6-svg-dev (>= 6.10),
+               qt6-tools-dev (>= 6.10),
+               qt6-virtualkeyboard-dev (>= 6.10),
+               qt6-wayland-dev (>= 6.10) [linux-any],
+               qt6-webchannel-dev (>= 6.10),
+               qt6-webengine-dev (>= 6.10) [amd64 arm64 armhf i386],
+               qt6-websockets-dev (>= 6.10),
+               qt6-webview-dev (>= 6.10) [amd64 arm64 armhf i386],
                qtchooser,
                sip-tools (>= 6.5),
                xauth <!nocheck>,
@@ -87,7 +87,7 @@
 Package: libpyside6-dev
 Section: libdevel
 Architecture: any
-Depends: libpyside6-py3-6.9 (= ${binary:Version}),
+Depends: libpyside6-py3-6.10 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Python bindings for Qt 6 (development files)
@@ -98,10 +98,16 @@
  .
  This package provides the development headers for the libpyside6 library.
 
-Package: libpyside6-py3-6.9
+Package: libpyside6-py3-6.10
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Breaks: libpyside6-py3-6.2,
+        libpyside6-py3-6.4,
+        libpyside6-py3-6.6,
+        libpyside6-py3-6.7,
+        libpyside6-py3-6.8,
+        libpyside6-py3-6.9 (<< 6.10.0~)
 Conflicts: libpyside6-py3-6.2,
            libpyside6-py3-6.4,
            libpyside6-py3-6.6,
@@ -111,8 +117,9 @@
           libpyside6-py3-6.4,
           libpyside6-py3-6.6,
           libpyside6-py3-6.7,
-          libpyside6-py3-6.8
-Provides: libpyside6-py3
+          libpyside6-py3-6.8,
+          libpyside6-py3-6.9 (<< 6.10.0~)
+Provides: libpyside6-py3, libpyside6-py3-6.9
 Description: Python 3 bindings for Qt 6 (base files)
  pyside6 provides Python bindings for Qt 6.x framework.
  .
@@ -120,11 +127,17 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains Python3 base file used by all modules.
+
+Package: libpyside6-py3-6.9
+Architecture: all
+Depends: libpyside6-py3-6.10, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
 
 Package: libshiboken6-dev
 Section: libdevel
 Architecture: any
-Depends: libshiboken6-py3-6.9 (= ${binary:Version}),
+Depends: libshiboken6-py3-6.10 (= ${binary:Version}),
          python3-dev,
          shiboken6 (= ${source:Version}),
          ${misc:Depends},
@@ -139,10 +152,16 @@
  .
  This package provides the development headers for the libshiboken6 library.
 
-Package: libshiboken6-py3-6.9
+Package: libshiboken6-py3-6.10
 Section: libs
 Architecture: any
 Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Breaks: libshiboken6-py3-6.2,
+        libshiboken6-py3-6.4,
+        libshiboken6-py3-6.6,
+        libshiboken6-py3-6.7,
+        libshiboken6-py3-6.8,
+        libshiboken6-py3-6.9 (<< 6.10.0~)
 Conflicts: libshiboken6-py3-6.2,
            libshiboken6-py3-6.4,
            libshiboken6-py3-6.6,
@@ -152,8 +171,9 @@
           libshiboken6-py3-6.4,
           libshiboken6-py3-6.6,
           libshiboken6-py3-6.7,
-          libshiboken6-py3-6.8
-Provides: libshiboken6-py3
+          libshiboken6-py3-6.8,
+          libshiboken6-py3-6.9 (<< 6.10.0~)
+Provides: libshiboken6-py3, libshiboken6-py3-6.9
 Description: CPython bindings generator for C++ libraries (Python3 shared library)
  Shiboken6 is a bindings generator for C++ libraries that outputs CPython
  source code. It collects information from library headers, and then
@@ -163,6 +183,12 @@
  Shiboken6 is the binding generator used to create the PySide6 bindings.
  .
  This package contains the shared Python 3 library used by shiboken6.
+
+Package: libshiboken6-py3-6.9
+Architecture: all
+Depends: libshiboken6-py3-6.10, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
 
 Package: pyside6-tools
 Architecture: any
@@ -294,29 +320,3 @@
  pyside6 provides Python bindings for Qt 6.x framework.
  .
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains Python 3 bindings for the Qt3DCore module.
-
-Package: python3-pyside6.qt3dextras
-Architecture: any
-Depends: python3-pyside6.qt3dcore,
-         python3-pyside6.qt3drender,
-         python3-pyside6.qtcore,
-         python3-pyside6.qtgui,
-         python3-pyside6.qtnetwork,
-         ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
-Description: Python bindings for Qt 6 3DExtras module (Python 3)
- pyside6 provides Python bindings for Qt 6.x framework.
- .
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains Python 3 bindings for the Qt3DExtras module.
-
-Package: python3-pyside6.qt3dinput
-Architecture: any
-Depends: python3-pyside6.qt3dcore,
-         python3-pyside6.qtcore,
